
Ryzom - Bug # 1420

Status: Closed Priority: Normal
Author: kervala Category: OS: Mac
Created: 01/08/2012 Assignee: kervala
Updated: 03/31/2012 Due date:
Subject: Client patcher compilation under Mac OS X
Description

Client patcher needs to be linked against Mac OS X framework to be able to use getAppBundlePath() function.

Currently, it generates an unreferenced symbol error and CMake needs -DWITH_RYZOM_TOOLS=OFF parameter to disable client
tools.

History
#1 - 01/10/2012 10:15 am - rti

getAppBundlePath() is implemented in ryzom/client/src/app_bundle_utils.cpp.
It was necessary for config file loading on Mac OS X. Since client_patcher builds ryzom/client/src/client_cfg.cpp it needs the app_bundle_utils as well.
The following patch should do the trick. Sorry, but I currently do not have the time to test it.

diff -r 4e4b2c1d86ef code/ryzom/tools/client/client_patcher/CMakeLists.txt
--- a/code/ryzom/tools/client/client_patcher/CMakeLists.txt     Tue Nov 15 14:55:57 2011 +0100
+++ b/code/ryzom/tools/client/client_patcher/CMakeLists.txt     Tue Jan 10 10:10:31 2012 +0100
@@ -2,6 +2,7 @@
        ${CMAKE_SOURCE_DIR}/ryzom/client/src/client_cfg.cpp
        ${CMAKE_SOURCE_DIR}/ryzom/client/src/login_patch.cpp
        ${CMAKE_SOURCE_DIR}/ryzom/client/src/login_xdelta.cpp
+       ${CMAKE_SOURCE_DIR}/ryzom/client/src/app_bundle_utils.cpp
        ${CMAKE_SOURCE_DIR}/ryzom/client/src/stdpch.cpp
        ${CMAKE_SOURCE_DIR}/ryzom/client/src/stdpch.h
 )

#2 - 01/10/2012 10:26 am - kervala
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3bc4bcc3fa06.

#3 - 01/10/2012 10:26 am - kervala
- Assignee set to kervala
- Target version set to Version 0.9.0

#4 - 01/10/2012 10:27 am - kervala

rti wrote:

08/23/2018 1/2



getAppBundlePath() is implemented in ryzom/client/src/app_bundle_utils.cpp.
It was necessary for config file loading on Mac OS X. Since client_patcher builds ryzom/client/src/client_cfg.cpp it needs the app_bundle_utils as
well. The following patch should do the trick. Sorry, but I currently do not have the time to test it.

[...]

I already fixed that, but I forgot to link to framework :(

#5 - 01/10/2012 10:44 am - rti

Ah ok... hg pull && hg update ftw. Sorry :)

#6 - 03/31/2012 06:24 pm - kervala
- Status changed from Resolved to Closed
